net.sf.jasperreports.engine.util

## Class JRDateLocaleConverter

- java.lang.Object
- - org.apache.commons.beanutils.locale.BaseLocaleConverter
  - - org.apache.commons.beanutils.locale.converters.DateLocaleConverter
    - - net.sf.jasperreports.engine.util.JRDateLocaleConverter

- All Implemented Interfaces:
    org.apache.commons.beanutils.Converter, org.apache.commons.beanutils.locale.LocaleConverter

      public class JRDateLocaleConverter
      extends org.apache.commons.beanutils.locale.converters.DateLocaleConverter

  A Converter class dedicated for the java.util.Date type.

  In order to obtain a java.util.Date object from a given String, a JRJavaUtilDateConverter object should be instantiated and it's inherited convert() method should be called. The final result is provided by the JRJavaUtilDateConverter's parse() invoked method.

  If if any of constructor arguments is null, default values will be provided.

  Version:
    $Id: JRDateLocaleConverter.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    szaharia
  See Also:
    `DateLocaleConverter`

- - ### Field Summary

    - ### Fields inherited from class org.apache.commons.beanutils.locale.BaseLocaleConverter

      `locale, locPattern, pattern, useDefault`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRDateLocaleConverter(java.util.TimeZone timeZone)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.Object` | `parse(java.lang.Object value, java.lang.String pattern)`

    - ### Methods inherited from class org.apache.commons.beanutils.locale.converters.DateLocaleConverter

      `isLenient, setLenient`

    - ### Methods inherited from class org.apache.commons.beanutils.locale.BaseLocaleConverter

      `convert, convert, convert, convert`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JRDateLocaleConverter

          public JRDateLocaleConverter(java.util.TimeZone timeZone)

  - ### Method Detail

    - #### parse

          protected java.lang.Object parse(java.lang.Object value,
                               java.lang.String pattern)
                                    throws java.text.ParseException

      Overrides:
        `parse` in class `org.apache.commons.beanutils.locale.converters.DateLocaleConverter`
      Throws:
        `java.text.ParseException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com